Subject: bug#30937: In `comment-region', C-g doesn't work.

From: Alan Mackenzie <[email-masked]>
Date: Sun, 25 Mar 2018 17:15:10 +0000

Hello, Eli.

On Sun, Mar 25, 2018 at 19:48:00 +0300, Eli Zaretskii wrote:
> > Date: Sun, 25 Mar 2018 15:39:59 +0000
> > Cc: [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > Yes, I've just tried it on X.  It works there (except it leaves point in
> > a suboptimal position: the starting point.  It should really leave point
> > after the last newly commented line when the quit happened).  It works
> > on emacs -nw, with the same proviso.

> > It doesn't work at all on a Linux tty.

> ??? How come it works in "emacs -nw" but not on a "Linux tty" (which
> is what, btw? the raw Linux console?).

Yes, the raw Linux console.  I don't know why it doesn't work, here.

> In both cases, C-g should trigger a SIGINT, so Emacs should be even
> more responsive to C-g than on X.

For what it's worth, quit-flag is getting set on a C-g (I hacked up my
own quit mechanism to test this).  It would appear that nothing is
testing quit-flag during the comment-region.

> What am I missing?

I honestly don't know.

-- 
Alan Mackenzie (Nuremberg, Germany).